<? $this->declareVars(array('allowEdit' => false, 'allowDelete' => false)); ?>
<div class="block">
	<?= $this->escape($this->code); ?>
	<? if($this->allowEdit || $this->allowDelete): ?>
	<sub class="options">
		<? if($this->allowEdit): ?>
		<a href="<?= $this->url($this->urlParams, 'Html_EditHtml'); ?>"
		   title="<?= $this->translate('Edit this block'); ?>"
		><?= $this->translate('Edit'); ?></a>
		<? endif; if($this->allowDelete): ?>
		<a href="<?= $this->url($this->urlParams, 'Html_DeleteHtml'); ?>"
		   title="<?= $this->translate('Delete this block'); ?>"
		><?= $this->translate('Delete'); ?></a>
		<? endif; ?>
	</sub>
	<? endif; ?>
</div>